from gi.repository import Ufo

pm = Ufo.PluginManager()

read = pm.get_task('read')
read.set_properties(path='/home/matthias/data/piv/data/3/abgedeckt1_geschlossen.tif', end=10)

contrast = pm.get_task('contrast')

write = pm.get_task('write')
write.set_properties(filename='foo-%05i.tif')

g = Ufo.TaskGraph()
g.connect_nodes(read, contrast)
g.connect_nodes(contrast, write)

sched = Ufo.Scheduler()
sched.run(g)
