#ifndef SCHEDULER_HH
#define SCHEDULER_HH

#include <ufo/ufo.h>

void expand_graph(UfoPluginManager *manager, GList *gpu_nodes,
                  UfoTaskNode *src1, UfoTaskNode *src2, UfoTaskNode *out,
                  unsigned ring_start, unsigned ring_end, unsigned ring_step,
                  GError **error, UfoTaskGraph *graph);

void expand_graph2(UfoPluginManager *manager, GList *gpu_nodes,
                   UfoTaskNode *src, UfoTaskNode *out, const char *plugin_str,
                   GError **error, UfoTaskGraph *graph);

#endif // SCHEDULER_HH
